# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# /opt/recipe, last modified Fri Dec 13 09:36:20 2024
# ------------------------------------------------

package:
  name: piscem
  version: 0.11.0
source:
  sha256: 085fa49b86036531cfdc72fe0b8b48dea0e12b49339592ed75b3b3a2dc90d74c
  url: https://github.com/COMBINE-lab/piscem/releases/download/v0.11.0/source.tar.gz
build:
  number: '1'
  run_exports:
    - piscem >=0.11.0,<0.12.0a0
  string: h2c3e6c1_1
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - autoconf 2.71 pl5321h2b4cb7a_1
    - binutils_impl_linux-64 2.40 ha1999f0_7
    - binutils_linux-64 2.40 hb3c18ed_4
    - bzip2 1.0.8 h4bc722e_7
    - c-ares 1.34.3 hb9d3cd8_1
    - ca-certificates 2024.8.30 hbcca054_0
    - cmake 3.31.2 h74e3db0_1
    - gcc_impl_linux-64 11.4.0 h00c12a0_13
    - gcc_linux-64 11.4.0 ha077dfb_4
    - gxx_impl_linux-64 11.4.0 h634f3ee_13
    - gxx_linux-64 11.4.0 h35bfe5d_4
    - jemalloc 5.3.0 h5888daf_1
    - kernel-headers_linux-64 3.10.0 he073ed8_18
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.21.3 h659f571_0
    - ld_impl_linux-64 2.40 hf3520f5_7
    - libcurl 8.11.1 h332b0f4_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 hd590300_2
    - libexpat 2.6.4 h5888daf_0
    - libgcc 14.2.0 h77fa898_1
    - libgcc-devel_linux-64 11.4.0 h8f596e0_113
    - libgcc-ng 14.2.0 h69a702a_1
    - libgomp 14.2.0 h77fa898_1
    - libjemalloc 5.3.0 h5888daf_1
    - liblzma 5.6.3 hb9d3cd8_1
    - libnghttp2 1.64.0 h161d5f1_0
    - libsanitizer 11.4.0 h5763a12_13
    - libssh2 1.11.1 hf672d98_0
    - libstdcxx 14.2.0 hc0a3c3a_1
    - libstdcxx-devel_linux-64 11.4.0 h8f596e0_113
    - libstdcxx-ng 14.2.0 h4852527_1
    - libuv 1.49.2 hb9d3cd8_0
    - libxcrypt 4.4.36 hd590300_1
    - libzlib 1.3.1 hb9d3cd8_2
    - m4 1.4.18 h516909a_1001
    - make 4.4.1 hb9d3cd8_2
    - ncurses 6.5 he02047a_1
    - openssl 3.4.0 hb9d3cd8_0
    - perl 5.32.1 7_hd590300_perl5
    - pkg-config 0.29.2 h4bc722e_1009
    - rhash 1.4.5 hb9d3cd8_0
    - rust 1.83.0 h1a8d7c4_0
    - rust-std-x86_64-unknown-linux-gnu 1.83.0 h2c6d0dc_0
    - rust_linux-64 1.83.0 h9a957ce_1
    - sysroot_linux-64 2.17 h4a8ded7_18
    - tzdata 2024b hc8b5060_0
    - zlib 1.3.1 hb9d3cd8_2
    - zstd 1.5.6 ha6fb4c9_0
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h4bc722e_7
    - jemalloc 5.3.0 h5888daf_1
    - libgcc 14.2.0 h77fa898_1
    - libgcc-ng 14.2.0 h69a702a_1
    - libgomp 14.2.0 h77fa898_1
    - libjemalloc 5.3.0 h5888daf_1
    - libstdcxx 14.2.0 hc0a3c3a_1
    - libstdcxx-ng 14.2.0 h4852527_1
    - libzlib 1.3.1 hb9d3cd8_2
    - zlib 1.3.1 hb9d3cd8_2
  run:
    - bzip2 >=1.0.8,<2.0a0
    - libgcc
    - libgcc-ng >=12
    - libjemalloc >=5.3.0
    - libstdcxx
    - libstdcxx-ng >=12
    - libzlib >=1.3.1,<2.0a0
  run_constrained:
    - __glibc >=2.17
test:
  commands:
    - piscem --help
about:
  home: https://github.com/COMBINE-lab/piscem
  license: BSD 3-Clause
  license_file: LICENSE
  summary: piscem is a next-generation compacted colored de Bruijn Graph-based indexer
    and mapper
extra:
  additional-platforms:
    - linux-aarch64
    - osx-arm64
  copy_test_source_files: true
  final: true
